const fs = require('fs');
const path = require('path');

// Fichier template
const TEMPLATE_FILE = path.join(__dirname, './commit-template.txt');

// Arguments passés par Husky
const commitMsgFile = process.argv[2];
const commitType = process.argv[3];

// Vérifie si le commit est interactif
if (commitType === 'message' || commitType === 'template') {
    process.exit(0);
}

// Vérifie si le fichier template existe
if (fs.existsSync(TEMPLATE_FILE)) {
    try {
        // Lit le fichier template
        const templateContent = fs.readFileSync(TEMPLATE_FILE, 'utf8');

        // Ajoute le contenu du template au message de commit
        fs.appendFileSync(commitMsgFile, `\n${templateContent}`);
    } catch (error) {
        console.error('Erreur lors de la modification du message de commit :', error);
        process.exit(1);
    }
} else {
    console.warn(`Fichier template introuvable : ${TEMPLATE_FILE}`);
}